Enneo

Executor Sandbox

Preview executor

POST /executor/preview

POST /executor/preview

Request body

idintegerbody

The id of the executor

codestringbody

The name of the executor

typestringbody

The type of the executor

languagestringbody

The language of the executor

packagesstringbody

The packages of the executor

parametersobjectbody

No description.

Request Example

{
  "id": 123,
  "code": "<?php\n\n echo '{\"success\": true}';\n",
  "type": "sourceCode",
  "language": "php82",
  "packages": "",
  "parameters": {
    "key1": "val1ö\"\\n*!",
    "key2": "val'ue"
  }
}

Responses

200 — Successful operation

Response Example

{
  "duration": 22,
  "exitCode": 0,
  "output": {
    "success": true
  },
  "stderr": null,
  "dependenciesCreated": false,
  "localExecutionCommand": null
}

403 — Unauthorized

500 — Internal error